using EonaCat.LogStack.Core;
using System;
using System.Runtime.CompilerServices;

namespace EonaCat.LogStack.Boosters
{
    // This file is part of the EonaCat project(s) which is released under the Apache License.
    // See the LICENSE file or go to https://EonaCat.com/License for full license details.

    public sealed class TimeBooster : BoosterBase
    {
        public TimeBooster() : base("Time") { }

        [System.Runtime.CompilerServices.MethodImpl(MethodImplOptions.AggressiveInlining)]
        public override bool Boost(ref LogEventBuilder builder)
        {
            builder.WithProperty("Time", DateTime.UtcNow.ToString("HH:mm:ss.fff"));
            return true;
        }
    }
}
